import Field from './Field';
import { ContainerModel, FieldJson, FormModel } from './types';
/**
 * Implementation of CheckBoxGroup runtime model which extends from {@link Field | field}
 */
declare class CheckboxGroup extends Field {
    /**
     * @param params
     * @param _options
     * @private
     */
    constructor(params: FieldJson, _options: {
        form: FormModel;
        parent: ContainerModel;
    });
    /**
     * converts the fallback type, if required, to an array. Since checkbox-group has an array type
     * @protected
     */
    protected _getFallbackType(): string | undefined;
    protected _getDefaults(): {
        enforceEnum: boolean;
        enum: never[];
        readOnly: boolean;
        enabled: boolean;
        visible: boolean;
        type: string | undefined;
    };
}
export default CheckboxGroup;
