import Field from './Field';
import { FieldModel } from './types';
import DataGroup from './data/DataGroup';
/**
 * Implementation of FileUpload runtime model which extends from {@link Field | field}
 */
declare class FileUpload extends Field implements FieldModel {
    protected _getDefaults(): {
        accept: string[];
        maxFileSize: string;
        type: string;
        readOnly: boolean;
        enabled: boolean;
        visible: boolean;
    };
    private static extractFileInfo;
    /**
     * Returns the max file size in bytes as per IEC specification
     */
    get maxFileSize(): number;
    /**
     * Returns the list of mime types which file attachment can accept
     */
    get accept(): string[] | undefined;
    /**
     * Checks whether there are any updates in the properties
     * @param propNames
     * @param updates
     * @private
     */
    protected _applyUpdates(propNames: string[], updates: any): any;
    typeCheck(value: any): {
        valid: boolean;
        value: any;
    };
    checkFileType(type: any): boolean;
    acceptCheck(value: any): {
        valid: boolean;
        value: any;
    };
    get value(): any;
    set value(value: any);
    private _serialize;
    private coerce;
    importData(dataModel: DataGroup): void;
}
export default FileUpload;
