/**
 * Defines generic form object class which any form runtime model (like textbox, checkbox etc)
 * should extend from.
 * @typeparam T type of the node (for example, {@link MetaDataJson | form meta data}
 */
declare class Node<T> {
    protected _jsonModel: T;
    constructor(inputModel: T);
    protected getP<S>(key: string, def: S): S;
    get isContainer(): boolean;
}
export default Node;
