/**
 * Defines generic utilities to convert form model definition to json schema
 */
import { FormJson } from '../types';
/**
 * Returns the default view type for a given form field object based on `adaptive form specification`
 * @param schema    schema item for which default view type is to found
 * @returns default view type
 */
export declare const defaultFieldTypes: (schema: any) => string;
/**
 * Creates a json schema from form model definition
 * @param form {@link FormJson | form model definition}
 * @returns json schema of form model definition
 */
export declare const exportDataSchema: (form: FormJson) => any;
