'use strict';
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.activate = void 0;
const vscode = __importStar(require("vscode"));
const formTree_1 = require("./formTree");
function activate(context) {
    const rootPath = (vscode.workspace.workspaceFolders && (vscode.workspace.workspaceFolders.length > 0))
        ? vscode.workspace.workspaceFolders[0].uri.fsPath : undefined;
    const formTreeProvider = new formTree_1.FormTreeProvider(context);
    vscode.window.registerTreeDataProvider('formTree', formTreeProvider);
    vscode.commands.registerCommand('formTree.refresh', () => formTreeProvider.refresh());
    vscode.commands.registerCommand('formTree.refreshNode', offset => formTreeProvider.refresh(offset));
    vscode.commands.registerCommand('formTree.renameNode', offset => formTreeProvider.rename(offset));
    vscode.commands.registerCommand('formTree.deleteNode', offset => formTreeProvider.delete(offset));
    vscode.commands.registerCommand('formTree.addNode', offset => formTreeProvider.add(offset));
    vscode.commands.registerCommand('formTree.translate', () => formTreeProvider.translate());
    vscode.commands.registerCommand('extension.openJsonSelection', range => formTreeProvider.select(range));
}
exports.activate = activate;
//# sourceMappingURL=extension.js.map