"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultFieldTypes = void 0;
const objToMap = (o) => new Map(Object.entries(o));
const stringFieldTypes = objToMap({ 'date': 'date-input', 'data-url': 'file-input', 'binary': 'file-input' });
const typeToFieldTypes = objToMap({
    'number': 'number-input',
    'boolean': 'checkbox',
    'object': 'panel',
    'array': 'panel',
    'file': 'file-input',
    'file[]': 'file-input'
});
const arrayTypes = ['string[]', 'boolean[]', 'number[]', 'array'];
const defaultFieldTypes = (schema) => {
    const type = schema.type || 'string';
    if ('enum' in schema && schema.enum instanceof Array) {
        const enums = schema.enum;
        if (enums.length > 2 || arrayTypes.indexOf(type) > -1) {
            return 'drop-down';
        }
        else {
            return 'checkbox';
        }
    }
    if (type === 'string' || type === 'string[]') {
        return stringFieldTypes.get(schema.format) || 'text-input';
    }
    return typeToFieldTypes.get(type) || 'text-input';
};
exports.defaultFieldTypes = defaultFieldTypes;
//# sourceMappingURL=utils.js.map