'use strict';

import * as vscode from 'vscode';

import { FormTreeProvider } from './formTree';

export function activate(context: vscode.ExtensionContext) {
	const rootPath = (vscode.workspace.workspaceFolders && (vscode.workspace.workspaceFolders.length > 0))
		? vscode.workspace.workspaceFolders[0].uri.fsPath : undefined;

	const formTreeProvider = new FormTreeProvider(context);
	vscode.window.registerTreeDataProvider('formTree', formTreeProvider);
	vscode.commands.registerCommand('formTree.refresh', () => formTreeProvider.refresh());
	vscode.commands.registerCommand('formTree.refreshNode', offset => formTreeProvider.refresh(offset));
	vscode.commands.registerCommand('formTree.renameNode', offset => formTreeProvider.rename(offset));
	vscode.commands.registerCommand('formTree.deleteNode', offset => formTreeProvider.delete(offset));
	vscode.commands.registerCommand('formTree.addNode', offset => formTreeProvider.add(offset));
	vscode.commands.registerCommand('formTree.translate', () => formTreeProvider.translate());
	vscode.commands.registerCommand('extension.openJsonSelection', range => formTreeProvider.select(range));
}