const objToMap = (o: any) => new Map(Object.entries(o));
const stringFieldTypes = objToMap({'date' : 'date-input',  'data-url' : 'file-input', 'binary' : 'file-input'}) as Map<string, string>;
const typeToFieldTypes = objToMap({
    'number' : 'number-input',
    'boolean' : 'checkbox',
    'object' : 'panel',
    'array' : 'panel',
    'file' : 'file-input',
    'file[]' : 'file-input'
})  as Map<string, string>;

const arrayTypes = ['string[]', 'boolean[]', 'number[]', 'array'];

export const defaultFieldTypes = (schema: any): string => {
    const type = schema.type || 'string';
    if ('enum' in schema && schema.enum instanceof Array) {
        const enums = schema.enum;
        if (enums.length > 2 || arrayTypes.indexOf(type) > -1) {
            return 'drop-down';
        } else {
            return 'checkbox';
        }
    }
    if (type === 'string' ||  type === 'string[]') {
        return stringFieldTypes.get(schema.format) || 'text-input';
    }
    return typeToFieldTypes.get(type) || 'text-input';
};